Skip to main content
GET
/
api2
/
v1
/
users
List users
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/users \
  --header 'Authorization: <api-key>'
{
  "totalElements": 123,
  "totalPages": 123,
  "pageSize": 123,
  "pageNumber": 123,
  "numberOfElements": 123,
  "content": [
    {
      "id": "<string>",
      "uid": "<string>",
      "userName": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateDeleted": "2023-11-07T05:31:56Z",
      "createdBy": {
        "firstName": "<string>",
        "lastName": "<string>",
        "userName": "<string>",
        "email": "<string>",
        "role": "SYS_ADMIN",
        "id": "<string>",
        "uid": "<string>"
      },
      "role": "SYS_ADMIN",
      "timezone": "<string>",
      "note": "<string>",
      "terminologist": true,
      "sourceLangs": [
        "<string>"
      ],
      "targetLangs": [
        "<string>"
      ],
      "active": true,
      "priceList": {
        "id": "<string>",
        "uid": "<string>",
        "name": "<string>"
      },
      "netRateScheme": {
        "id": "<string>",
        "uid": "<string>",
        "name": "<string>",
        "dateCreated": "2023-11-07T05:31:56Z",
        "createdBy": {
          "firstName": "<string>",
          "lastName": "<string>",
          "userName": "<string>",
          "email": "<string>",
          "role": "SYS_ADMIN",
          "id": "<string>",
          "uid": "<string>"
        }
      },
      "anonymized": true
    }
  ],
  "sort": {
    "orders": [
      {
        "direction": "ASC",
        "property": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

firstName
string

Filter for first name, that starts with value

Maximum string length: 255
lastName
string

Filter for last name, that starts with value

Maximum string length: 255
name
string

Filter for last name or first name, that starts with value

Maximum string length: 255
userName
string
Maximum string length: 255
email
string
Maximum string length: 255
nameOrEmail
string

Filter for last name, first name or email starting with the value

Maximum string length: 255
role
enum<string>[]
Available options:
ADMIN,
PROJECT_MANAGER,
LINGUIST,
GUEST,
SUBMITTER,
PORTAL_MEMBER
includeDeleted
boolean
default:false
pageNumber
integer<int32>
default:0

Page number, starting with 0, default 0

Required range: x >= 0
pageSize
integer<int32>
default:50

Page size, accepts values between 1 and 50, default 50

Required range: 1 <= x <= 50
sort
enum<string>[]
Available options:
ID,
LAST_NAME,
FIRST_NAME
order
enum<string>[]
Available options:
ASC,
DESC

Response

successful operation

totalElements
integer<int32>
totalPages
integer<int32>
pageSize
integer<int32>
pageNumber
integer<int32>
numberOfElements
integer<int32>
content
object[]
sort
object